# Note that this is NOT a relocatable package
# DON'T FORGET TO UPDATE THE MOZILLA DEPENDENCY
%define ver      1.2.6
%define rel      0.7.3
%define prefix   /usr
%define sysconfdir	/etc

Summary:   Gnome browser based on Gecko (Mozilla rendering engine).
Name:      galeon
Version:   %ver
Release:   %rel
License:   GPL
Group:     Applications/Internet
Source:    galeon-%{PACKAGE_VERSION}.tar.gz
Patch0:    galeon-1.2.5-moz-1.0.1.patch
Patch1:    galeon-1.2.5-validdtd.patch
Patch2:    galeon-1.2.6-print.patch
URL:       http://galeon.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{PACKAGE_VERSION}-root
Autoreq: 0
BuildRequires: 	gettext >= 0.10.38
BuildRequires:	mozilla-devel >= 1.0.1
BuildRequires:	glib-devel
BuildRequires:	gtk+-devel >= 1.2.9
BuildRequires:	libxml-devel >= 1.8.14
BuildRequires:	gnome-libs-devel >= 1.2.11
BuildRequires:	GConf-devel >= 1.0.4
BuildRequires:	ORBit-devel >= 0.5.7
BuildRequires:	oaf-devel >= 0.6.5
BuildRequires:	gnome-vfs-devel >= 1.0.1
BuildRequires:	gdk-pixbuf-devel >= 0.14.0
BuildRequires:	libglade-devel >= 0.13
Requires:	glib
Requires:       gtk+ >= 1.2.9
Requires:       libxml >= 1.8.14
Requires:       gnome-libs >= 1.2.11
Requires:       GConf >= 1.0.4
Requires:       ORBit >= 0.5.7
Requires:       oaf >= 0.6.5
Requires:       gnome-vfs >= 1.0.1
Requires:       gdk-pixbuf >= 0.14.0
Requires: 	libglade >= 0.13
Requires: 	mozilla >= 1.0.1
Requires:       perl

ExclusiveArch: i386

%description
Galeon is a web browser built around Gecko (Mozilla 's rendering engine) 
and Necko (Mozilla's networking engine). It's a GNOME web browser, 
designed to take advantage of as many GNOME technologies as makes sense. 
Galeon was written to do just one thing - browse the web.
%prep
%setup

%patch0 -p1
#%patch1 -p1 -b .validdtd
%patch2 -p1

%build

export DONT_BUILD_NAUTILUS_VIEW=1

# if you set the DONT_BUILD_NAUTILUS_VIEW environment variable to something 
# else than "" the view won't be built. Otherwise, it will e built if 
# libnautilus is detected by configure.
if [ "$DONT_BUILD_NAUTILUS_VIEW" != "" ] ; then
	NAUTILUS_VIEW_OPTION="--enable-nautilus-view=no"
	echo Warning: The nautilius view will not be built.
else
	NAUTILUS_VIEW_OPTION=""
fi

if [ ! -f configure ]; then
	CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{prefix} \
		--with-gnome --without-debug --sysconfdir=%{sysconfdir} \
		--disable-install-schemas $NAUTILUS_VIEW_OPTION \
		--mandir=$RPM_BUILD_ROOT%{_mandir} --disable-werror \
		--with-mozilla-snapshot=1.0
else
	CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} \
		--with-gnome --without-debug --sysconfdir=%{sysconfdir} \
		--disable-install-schemas $NAUTILUS_VIEW_OPTION \
		--mandir=$RPM_BUILD_ROOT%{_mandir} --disable-werror \
		--with-mozilla-snapshot=1.0
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} install

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING COPYING.README ChangeLog NEWS README INSTALL THANKS TODO FAQ FAQ.html README.ExtraPrefs

%{_bindir}/galeon
%{_bindir}/galeon-bin
%{_bindir}/galeon-config-tool

%{_libdir}/galeon/components

%config %{_sysconfdir}/gconf/schemas/galeon.schemas
%config %{_sysconfdir}/sound/events/galeon.soundlist 
%{_datadir}/gnome/apps/Internet/*.desktop
%{_datadir}/galeon
%{_datadir}/oaf/GNOME_Galeon_Automation.oaf
%{_datadir}/pixmaps/*
%{_datadir}/sounds/galeon
%{_datadir}/gnome/ui/nautilus-galeon-view-ui.xml

%{_mandir}/man1/galeon.1*

%{_datadir}/gnome/help/*
%{_datadir}/omf/galeon/*

%post
%{_bindir}/galeon-config-tool --fix-gconf-permissions
%{_bindir}/galeon-config-tool --pkg-install-schemas
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi

%postun
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi

%changelog
* Sat Sep 14 2002 Christopher Blizzard <blizzard@redhat.com>
- Rebuild for Red Hat 7.x
- Use the native gcc version
- Don't include the string patch - it's not needed with this compiler
- Update to 1.2.6

* Fri Aug 09 2002 Christopher Blizzard <blizzard@redhat.com>
- Rebuild to pick up new moz version.

* Mon Jul 15 2002 Christopher Blizzard <blizzard@redhat.com>
- Rebuild with new c++ path for the string header.

* Wed Jul 10 2002 Christopher Blizzard <blizzard@redhat.com>
- Rebuild with gcc 2.96.
- Include patch that changes include from <string> to <string.h> since
  the compiler bombs out in the mozilla include directory because
  there's a directory called 'string'.

* Tue Jun 25 2002 Christopher Blizzard <blizzard@redhat.com>
- Update for Mozilla 1.0.1.
- Build only on i386 for now.

* Thu Jun 13 2002 Christopher Blizzard <blizzard@redhat.com>
- Langify
- Don't build the nautilus view.
- Fix the startup script to detect bad jvms, fontconfig path and set
  the plugin path.
- Require perl for the jvm detection.

* Sun May 26 2002 Yanko Kaneti <yaneti@declera.com>
- add --disable-werror to the configure line 

* Mon May 20 2002 Yanko Kaneti <yaneti@declera.com>
- loosen then mozilla dependancy in the SRPMS and tar.gz

* Fri Apr 26 2002 Yanko Kaneti <yaneti@declera.com>
- some small fixes, copied from the RedHat 1.2.0-7 scr.rpm

* Thu Apr 25 2002 Yanko Kaneti <yaneti@declera.com>
- remove some uneeded defattr settings, move everything to (-,root,root)

